#
# This file is part of Invenio.
# Copyright (C) 2016-2018 CERN.
#
# Invenio is free software; you can redistribute it and/or modify it
# under the terms of the MIT License; see LICENSE file for more details.

"""Add nusl-id to OAIRecord class/table"""

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'f0dff0a4dfbf'
down_revision = '9e75e6f14f9d'
branch_labels = ()
depends_on = None


def upgrade():
    """Upgrade database."""
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('oarepo_oai_record', sa.Column('nusl_id', sa.String(), nullable=False))
    op.create_unique_constraint(op.f('uq_oarepo_oai_record_nusl_id'), 'oarepo_oai_record', ['nusl_id'])
    # ### end Alembic commands ###


def downgrade():
    """Downgrade database."""
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(op.f('uq_oarepo_oai_record_nusl_id'), 'oarepo_oai_record', type_='unique')
    op.drop_column('oarepo_oai_record', 'nusl_id')
    # ### end Alembic commands ###
